Geo::GoogleEarth::Pluggable::Contrib::Polygon(3pm)

NAME
Geo::GoogleEarth::Pluggable::Contrib::Polygon - Geo::GoogleEarth::Pluggable Polygon Object

SYNOPSIS
  use Geo::GoogleEarth::Pluggable;
  my $document=Geo::GoogleEarth::Pluggable->new();
  $document->Polygon();

DESCRIPTION
Geo::GoogleEarth::Pluggable::Contrib::Polygon is a Geo::GoogleEarth::Pluggable::Placemark.

USAGE
  my $placemark=$document->Polygon(
                                   name        => "Polygon Name",
                                   coordinates => [
                                                    [ #outerBoundaryIs
                                                      [lon, lat ,alt],
                                                      [lon, lat ,alt],
                                                      [lon, lat ,alt],
                                                      ...
                                                    ],
                                                    [ #innerBoundaryIs
                                                      [lon, lat ,alt],
                                                      [lon, lat ,alt],
                                                      [lon, lat ,alt],
                                                    ]
                                                  ],
                                  );

CONSTRUCTOR
  my $placemark=$document->Polygon();

METHODS

  subnode

BUGS
Please log on RT and send to the geo-perl email list.

SUPPORT
Try geo-perl email list.

AUTHOR
  Michael R. Davis (mrdvt92)
  CPAN ID: MRDVT

COPYRIGHT
This program is free software licensed under the...

  The BSD License

The full text of the license can be found in the LICENSE file included with this module.

SEE ALSO
Geo::GoogleEarth::Pluggable, XML::LibXML::LazyBuilder, Geo::GoogleEarth::Pluggable::Placemark